Points
Update a points value for a currency
Update or create a points value for a specific currency.
PATCH
/
api
/
v202506
/
points_values
Update a points value for a currency
curl --request PATCH \
--url https://api.fluid.app/api/v202506/points_values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"points_value": {
"currency_code": "CAD",
"points_amount": 14
}
}
'import requests
url = "https://api.fluid.app/api/v202506/points_values"
payload = { "points_value": {
"currency_code": "CAD",
"points_amount": 14
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({points_value: {currency_code: 'CAD', points_amount: 14}})
};
fetch('https://api.fluid.app/api/v202506/points_values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"points_value": {
"id": 7303,
"currency_code": "CAD",
"points_amount": 14,
"currency_symbol": "$",
"currency_name": "Canadian Dollar"
},
"meta": {
"request_id": "8c2f4e71-3b9a-4d6e-a1f5-7e0b9c3d2a48",
"timestamp": "2026-09-14T16:05:22Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}⌘I
Update a points value for a currency
